uniform sampler2D tex;
void base(void) {
	gl_FragColor = texture2D(tex, gl_TexCoord[0].st);
}

// Appended to the end of all GLSL files
const int greylevels = 3;
const float dither[4*4] = {
	0.0625, 0.5625, 0.1875, 0.6875,
	0.8125, 0.3215, 0.9375, 0.4375,
	0.2500, 0.7500, 0.1250, 0.6250,
	1.0000, 0.5000, 0.8750, 0.3750
};
const vec4 black = {0, 0.1, 0, 1};
const vec4 white = {0.6, 1, 0.4, 1};
const int dscale = 2;

void clamp(void) {
	float grey = gl_FragColor.r * 0.2126 + gl_FragColor.g * 0.7152 + gl_FragColor.b * 0.0722;
	int index = int(mod(gl_FragCoord.x/dscale, 4.0)) + int(mod(gl_FragCoord.y/dscale, 4.0)) * 4;
	grey *= greylevels;
	grey += dither[index];

	index = int(grey);

	gl_FragColor.rgb = black.rgb + (white.rgb - black.rgb) * index / greylevels;
}

void main(void) {
	base();
	clamp();
}
